;!function(){try{var k="_btDebugIds",u="undefined",v="80c68bca-06a0-4b35-f9e5-169f2f94c951",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
"use strict";
exports.up = function (knex) {
    return knex.schema.createTable('repositories', function (t) {
        t.increments('id')
            .unsigned()
            .primary()
            .defaultTo(1);
        t.integer('project_name').notNullable();
        t.integer('universe_name').notNullable();
        t.string('name').notNullable();
        t.string('url').notNullable();
        t.enu('auth_type', ['none', 'ssh_key', 'user_pass']).notNullable();
        t.string('user_name');
        t.string('password');
        t.text('ssh_private_key');
        t.text('ssh_public_key');
        t.enu('clone_status', ['in_progress', 'complete', 'error']).notNullable();
        t.text('clone_error');
        t.datetime('last_fetched');
        t.integer('position').unsigned().notNullable().defaultTo(0);
        t.string('default_commit').notNullable().defaultTo("master");
        t.timestamps(false, true);
        t.index(['universe_name', 'project_name']);
        t.unique(['universe_name', 'project_name', 'name']);
    });
};
exports.down = function (knex) {
    return knex.schema.dropTable('repositories');
};
//# sourceMappingURL=20200723153239_recreate_repos_table.js.map
//# debugId=80c68bca-06a0-4b35-f9e5-169f2f94c951