;!function(){try{var k="_btDebugIds",u="undefined",v="dddb980f-5c57-38ed-1a7b-56a50a46145a",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
"use strict";
exports.up = function (knex) {
    return knex.schema.createTable("perforce_rules", function (t) {
        t.increments("id").unsigned().primary().defaultTo(1);
        t.string("project_name").notNullable();
        t.index(["project_name"], "perforce_rules_project_idx");
        t.string("universe_name").notNullable();
        t.index(["universe_name"], "perforce_rules_universe_idx");
        t.integer("position").unsigned().notNullable();
        t.integer("matching_perforce_id").unsigned().notNullable();
        t.foreign("matching_perforce_id")
            .references("id")
            .inTable("perforce_servers");
        t.enu("field_type", [
            "file_name",
            "function_name",
            "object_name",
            "attribute",
        ]).notNullable();
        t.string("field_name").notNullable();
        t.string("regex").notNullable();
        t.enu("action", ["match", "skip", "match_stop", "full_stop"])
            .notNullable()
            .defaultTo("match");
        t.timestamps(false, true);
    });
};
exports.down = function (knex) {
    return knex.schema.dropTable("perforce_rules");
};
//# sourceMappingURL=20210115164646_create_perforce_rules.js.map
//# debugId=dddb980f-5c57-38ed-1a7b-56a50a46145a