;!function(){try{var k="_btDebugIds",u="undefined",v="f5945324-d3d6-db5a-6d9a-777e8d6196e0",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const backtrace_service_1 = require("backtrace-service");
const blame_setting_1 = __importDefault(require("../lib/blame_setting"));
const errors_1 = require("../lib/errors");
const util_1 = require("../lib/util");
const blameController = (db, service, urlPrefix) => {
    service.app.get(`${urlPrefix}/:universeName/:projectName/blame`, service.identityManager.authenticateRequest(), (0, util_1.accessCheck)(service), (0, util_1.adminCheck)(service), (0, backtrace_service_1.asyncWrapper)(async (req, res, _next) => {
        const token = (0, util_1.getCoronerToken)(service, req);
        if (!token) {
            return res
                .status(401)
                .send((0, errors_1.getError)(12, "Please provide a coroner token"));
        }
        const { projectName, universeName } = req.params;
        const coronerUrl = await (0, util_1.getCoronerUrl)(universeName, db, service, req);
        await (0, blame_setting_1.default)({
            coronerUrl,
            token,
            universe: universeName,
            project: projectName,
            db,
        });
        res.status(200).send();
    }));
};
exports.default = blameController;
//# sourceMappingURL=blame.js.map
//# debugId=f5945324-d3d6-db5a-6d9a-777e8d6196e0