;!function(){try{var k="_btDebugIds",u="undefined",v="61fd5c02-2153-54e0-d74c-035c35f7d364",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class DoNotUseList {
    constructor() {
        this.list = [];
    }
    push(item) {
        this.list.push(item);
    }
    getEntryRaw(repoId) {
        const filtered = this.list.filter((item) => item.repoId === repoId);
        if (filtered.length > 0) {
            return filtered[0];
        }
        else {
            return null;
        }
    }
    getEntry(repoId) {
        const entry = this.getEntryRaw(repoId);
        if (entry === null) {
            return null;
        }
        else {
            return Object.assign(Object.assign({}, entry), { reason: DoNotUseList.friendlyReason(entry.reason) });
        }
    }
    ids() {
        return this.list.map((item) => item.repoId);
    }
    static friendlyReason(reason) {
        if (reason === "missingRepo") {
            return "Rule refers to a repository which no longer exists";
        }
        else if (reason === "fileNotFound") {
            return "File not found";
        }
        else if (reason === "ruleSkip") {
            return "Skipped due to matching rule stating to skip this repository";
        }
    }
}
exports.default = DoNotUseList;
//# sourceMappingURL=do_not_use_list.js.map
//# debugId=61fd5c02-2153-54e0-d74c-035c35f7d364